> For the complete documentation index, see [llms.txt](https://docs.flowretail.com/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.flowretail.com/docs/developers/api-documentation/product-group/list-product-groups.md).

# List product groups

List all product groups.

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"ProductGroup","description":"ProductGroup"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Access token recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"parameters":{"productGroupNameQuery":{"description":"Reference to the name of a product group.","in":"query","name":"productGroupName","required":false,"schema":{"type":"string"}},"productGroupExternalIdQuery":{"description":"External reference to a product group.","in":"query","name":"productGroupExternalId","required":false,"schema":{"type":"string"}},"pageNumberQuery":{"description":"Reference to a specific page in a result set.","in":"query","name":"pageNumber","required":false,"schema":{"type":"integer"}},"pageSizeQuery":{"description":"The number of items per page in a result set.","in":"query","name":"pageSize","required":false,"schema":{"type":"integer"}},"sortByQuery":{"description":"Defines which field the resource list is sorted by.","in":"query","name":"sortBy","required":false,"schema":{"type":"string"}},"sortDirectionQuery":{"description":"Reference to a sort direction","explode":false,"in":"query","name":"sortDirection","schema":{"$ref":"#/components/schemas/SortDirectionENUM"},"style":"form"},"productGroupScopesQuery":{"name":"productGroupScopes","in":"query","required":false,"schema":{"items":{"$ref":"#/components/schemas/ProductGroupScopeENUM"},"type":"array"},"description":"Filter by scope"},"productGroupParentUid":{"name":"productGroupParentUid","in":"query","schema":{"type":"string"},"description":"Reference to parent UID, or blank to get the root categories","allowEmptyValue":true}},"schemas":{"SortDirectionENUM":{"description":"|ENUM      | Description |\n| ---------------- | ------------ |\n| ASC | Sort in ascending order|\n| DESC | Sort in descending order|\n","enum":["ASC","DESC"],"title":"SortDirectionENUM","type":"string"},"ProductGroupScopeENUM":{"description":"|ENUM      | Description |\n| ---------------- | ------------ |\n| SALE | Sale product scope. Default|\n| SERVICE | Service product scope|\n| NO_SEARCH | Not visible in search scope|\n","minLength":1,"title":"ProductGroupScopeENUM","type":"string","enum":["SALE","SERVICE","NO_SEARCH"]},"ProductGroupResponseSchema":{"title":"ProductGroupResponseSchema","type":"object","properties":{"createdAt":{"format":"date-time","type":"string"},"externalId":{"type":"string"},"hasChildren":{"description":"True when the product group has one or more subgroups.","type":"boolean"},"lastModifiedAt":{"format":"date-time","type":"string"},"name":{"type":"string"},"parentUid":{"$ref":"#/components/schemas/OptionalUID"},"productCount":{"description":"Number of products in this productGroup.","type":"integer"},"productGroupUid":{"$ref":"#/components/schemas/UID"},"scope":{"$ref":"#/components/schemas/ProductGroupScopeENUM"}},"required":["createdAt","externalId","hasChildren","lastModifiedAt","name","parentUid","productCount","productGroupUid","scope"]},"OptionalUID":{"title":"OptionalUID","type":"string","pattern":"^[A-Za-z0-9-_]*"},"UID":{"title":"UID","type":"string","pattern":"^[A-Za-z0-9-_]+"},"Paging":{"description":"totalCount The total number of items in the result set.\n\npageSize The number of items per page.\n\npageNumber The current page in the result set.","properties":{"pageNumber":{"type":"integer"},"pageSize":{"type":"integer"},"totalCount":{"type":"integer"}},"required":["totalCount","pageSize","pageNumber"],"title":"Paging","type":"object"}},"responses":{"ProductGroupListResponse":{"content":{"application/json":{"schema":{"properties":{"items":{"items":{"$ref":"#/components/schemas/ProductGroupResponseSchema"},"type":"array"},"paging":{"$ref":"#/components/schemas/Paging"}},"required":["items","paging"],"type":"object"}}},"description":"List of product groups"}}},"paths":{"/tenants/{tenantUid}/product-groups":{"get":{"description":"List all product groups.","operationId":"get-tenants-product-groups","parameters":[{"$ref":"#/components/parameters/productGroupNameQuery"},{"$ref":"#/components/parameters/productGroupExternalIdQuery"},{"$ref":"#/components/parameters/pageNumberQuery"},{"$ref":"#/components/parameters/pageSizeQuery"},{"$ref":"#/components/parameters/sortByQuery"},{"$ref":"#/components/parameters/sortDirectionQuery"},{"$ref":"#/components/parameters/productGroupScopesQuery"},{"$ref":"#/components/parameters/productGroupParentUid"}],"responses":{"200":{"$ref":"#/components/responses/ProductGroupListResponse"}},"summary":"List product groups","tags":["ProductGroup"]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.flowretail.com/docs/developers/api-documentation/product-group/list-product-groups.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
